import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'second.csv';

export const useData = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    const row = d => {
      d.Year = +d.YEAR;
      d.Week = +d.WEEK;
      d.State = d.REGION; //Need a lut to id related to map
      d.ILI_Percent = +d['%UNWEIGHTED ILI'];
      d.ILI_Total = +d.ILITOTAL;
      d.Providers = +d['NUM OF PROVIDERS'];
      d.Pat_Total = +d['TOTAL PATIENTS'];
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};
